Windows 2000 Active Directory Users and Computers Exchange Properties

Microsoft® Windows 2000 Active Directory Users and Computers is accessed from Microsoft Management Console (MMC). Microsoft Exchange Server extension tabs in Active Directory Users and Computers are displayed when you install Active Directory Connector and configure a Connection Agreement. You can use the tabs to work with Windows 2000 users that have Exchange mailboxes or e-mail addresses.

Important The Exchange Advanced tab is available only if an object has an e-mail address defined and Advanced Features view is selected on the MMC View menu.

The Exchange extensions include the following tabs:

  • Exchange General. Configure basic e-mail attributes, depending on whether users are mail-enabled or mailbox-enabled. Attributes include mailbox storage limits, delivery restrictions, delivery options, mailbox size limit, forwarding address, and delivery.
  • E-mail Addresses. Configure multiple e-mail addresses of any type, including address templates for the most common types of e-mail addresses.
  • Exchange Advanced. Configure advanced e-mail attributes, including protocol settings, Exchange Custom Attributes, and the Internet Locator Service.


How to...

This section provides procedures that you can perform with the Exchange extensions to Windows 2000 Active Directory Users and Computers. The procedures include the following:

  • Work with Users
  • Work with Contacts
  • Work with Groups
  • Add an Exchange Mailbox
  • Enable Exchange Mail


Work with Users

A user is an individual with logon privileges. To receive e-mail in Exchange, a user must have a mailbox. Follow these steps to configure mailbox properties for a Windows user:

  1. On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. Right-click a user, and then click Properties on the shortcut menu.
  3. Specify Exchange properties for the user. Properties available to configure depend on whether you create an Exchange mailbox for a user or not, that is, whether a user is mail-enabled or mailbox-enabled.

    The following Exchange tabs are available in Active Directory Users and Computers if a Connection Agreement is configured with Windows 2000 Active Directory.

    For more information about the Exchange General tab, see Establish Exchange General Properties for Users

    For more information about the E-mail Addresses tab, see Establish E-mail Addresses for Users

    For more information about the Exchange Advanced tab, see Establish Advanced Exchange Properties for Users


Enable Mail for a User

Create a Mail-Enabled User

Follow these steps to enable mail capabilities for a Windows user:

  1. Right-click Users, point to New, and then click User.
  2. Type the first name, last name, and user logon name.
  3. Verify the domain or select an alternate from the list menu. Click Next.
  4. Type a password, and then select the password options that apply. Click Next.
  5. Clear the Create an Exchange mailbox check box if it is not already unavailable, and then click Next.
  6. Click Finish.
  7. Right-click the new user you just created, and click Enable Exchange Mail on the shortcut menu.
  8. Verify the Alias, select Modify to set an e-mail address type, and then click OK.


Creating a Mailbox-Enabled User

Follow these steps to create a mailbox-enabled Windows user:

  1. On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. Right-click Users, point to New, and then click User.
  3. Type the first name, last name, and user logon name.
  4. Verify the domain or select an alternate from the list menu. Click Next.
  5. Type a password, and then select the password options that apply. Click Next.
  6. Verify that the Create an Exchange mailbox check box is selected, and that the Alias and Server are correct. Click Next.
  7. Click Finish.


Add an Exchange Mailbox

Follow these steps to create a new mailbox for a Windows user:

  1. On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. Right-click a user, and then click Add Exchange Mailbox on the shortcut menu.
  3. In the Add Exchange Mailbox dialog box, Alias and Server are entered by default. Verify that they are correct.
  4. Click OK.


Enable Exchange Mail

To enable e-mail capabilities for an existing user, contact or group:

  1. Right-click on a user, contact or group.
  2. On the shortcut menu, click Enable Exchange Mail.
  3. Verify the alias.
  4. Select Modify to set the e-mail address for the user or contact.


Establish Exchange General Properties for Users

  1. Right-click a user.
  2. Click Properties. The Properties page for mail-enabled users has three additional tabs: Exchange General, E-Mail Addresses, and Exchange Advanced.
  3. Click the Exchange General tab. If the user is mail-enabled, there is an e-mail address, but no Exchange mailbox associated with it. You can use Exchange General tab to:
    • Set Alias and E-mail Address
    • Set Message Size Limitations
    • Set Message Restrictions
    If the user is mailbox-enabled, there is an Exchanged mailbox and an associated e-mail address, so they can both send and receive e-mail. You can use the Exchange General tab to perform these operations:
    • Set Alias
    • Define Storage Limits
    • Set Delivery Restrictions
    • Set Delivery Options

Note:

The Exchange Advanced tab only displays in the Advanced Features view. On the View menu, click Advanced Features.


Set Alias

To change the alias, type the new name in Alias.


Define Storage Limits

You can define storage limits for the mailbox. Storage limits include maximum mailbox size and deleted item retention.
  1. Right-click a user.
  2. On the shortcut menu, click Properties.
  3. On the Exchange General tab, click Storage Limits.
  4. Under Storage limits, select the Use information store defaults check box to use the default storage limit settings for the Exchange private information store, or click to clear the Use information store defaults check box to change storage limit size thresholds for issuing warnings and prohibitions. If you clear this check box, you can change the following settings:
    • Issue warning at. Select this check box, and then type a value, in kilobytes, to specify the maximum amount of space that the mailbox can occupy before a warning message is sent.
    • Prohibit send at. Select this check box, and then type a value, in kilobytes, to specify the maximum amount of space that a mailbox can occupy before the system prevents the owner of the mailbox from sending more messages.
    • Prohibit send and receive at. Select this check box, and then type a value, in kilobytes, to specify the maximum amount of space that a mailbox can occupy before the system prevents the owner of a mailbox from sending or receiving more messages. The value you specify for this option should be greater than the value you set for Prohibit send at.
  5. Under Deleted item retention, select the Use retention time defaults check box to use the default limit settings in the Exchange private information store, or click to clear the Use retention time defaults check box to override the private information store storage limit. If you clear this check box, you can change the following settings:
    • Delete after (days). Type the number of days that deleted items in the information store are retained before they are permanently deleted.
    • Permanently delete items that have not been backed up. Select this check box to permanently delete all items scheduled for deletion regardless of whether they have been backed up. Click to clear this check box to prevent deletion of items that have not been backed up.
  6. Click OK to save settings.


Set Delivery Restrictions

You can set delivery restrictions on mailboxes.
  1. Right-click a user.
  2. On the shortcut menu, click the Properties tab.
  3. On the Exchange General tab, click Delivery Restrictions.
  4. Under Outgoing message size, click No limit, or click Maximum KB.
    • Click No limit to place no limit on the size of outgoing messages.
    • Click Maximum KB, and then type a number to specify the maximum size, in kilobytes, allowed for outgoing messages.
  5. Under Incoming message size click No limit, or click Maximum KB.
    • Click No limit to place no limit on the size of incoming messages.
    • Click Maximum KB, and then type a number to specify the maximum size, in kilobytes, allowed for incoming messages.
  6. Set message restrictions:
    • To set restrictions so that the mailbox accepts messages from everyone under Message restrictions, click From everyone.

    • To set restrictions so that the mailbox only receives messages from a specific address or group of addresses under Message restrictions, click Only from, and then click Add.

      Repeat for each address you want to allow. To remove an address from the list, select the address, and then click Remove.
    • To set restrictions so that the mailbox excludes specific e-mail addresses, click From everyone except, and then click Add. Repeat for each address you want to restrict. To remove an address from the list, click the address, and then click Remove.
  7. Click OK to save settings.


Set Delivery Options

Use the Delivery Options dialog box to identify one or more delegate users for a mailbox or to identify a forwarding address for a mailbox. A delegate user can use a mailbox on behalf of the mailbox owner.
  1. Right-click a user.
  2. On the shortcut menu, click Properties.
  3. On the Exchange General tab, click Delivery Options.
  4. Under Delegates, click Add
    5. to enable a delegate user to access another user's mailbox.
  5. In the Name dialog box, type the e-mail address you want to add to the list of delegates, and then click OK.
  6. You can designate or disable a forwarding address. Under Forwarding Address, click Forward to, and then click Modify to select an e-mail address to receive the forwarded messages. Click OK. If you want forwarded messages to be delivered to both the forwarding address and the mailbox, select the Deliver messages to both forwarding address and mailbox check box.
  7. Click OK to save settings.


Establish E-mail Addresses for Users

  1. Right-click a user.
  2. On the shortcut menu, click Properties.
  3. On the E-mail Addresses tab, you can:
    • Set a Default Reply Address
    • Add a New Address
    • Edit an Address
    • Remove an Address

Note:

E-mail addresses for users are established after running two complete replication cycles using Active Directory Connector.


Set a Default Reply Address

You can create more than one address of an available type and then designate one of those addresses as a default address. For example, you can create two Simple Mail Transfer Protocol (SMTP) addresses and designate one of them as a default for all recipients. Follow these steps to set a default reply address:

  1. Click the E-mail Addresses tab.
  2. Select the address you want to define as the default.
  3. Click Set as Default Reply Address.
For information on creating addresses, see Add a New Address.


Add a New Address

Follow these steps to add new e-mail addresses for a user, contact, or group:

  1. Right-click a user, contact, or group. On the shortcut menu, click Properties.
  2. On the E-mail Addresses tab, click New.
  3. Select the e-mail address type, and then click OK.
  4. In E-mail address, type the e-mail address in the appropriate format.


Edit Address

Edit an Address

Follow these steps to edit e-mail addresses for a user, contact, or group:

  1. Right-click a user, contact, or group. On the shortcut menu, click Properties.
  2. On the E-mail Addresses tab, select an e-mail address, and then click Edit.
  3. Modify the e-mail address, and then click OK.


Remove Address

Remove an Address

Follow these steps to remove an e-mail address for a user, contact, or group:

  1. Right-click a user, contact, or group. On the shortcut menu, click Properties.
  2. On the E-mail Addresses tab, select the e-mail address you want to remove, and then click Remove.
  3. Click OK to save settings.


Establish Advanced Exchange Properties for Users

On the Exchange Advanced tab you can configure a several advanced features for working with mailboxes and addresses.

Simple Display Name

If a name contains non-ANSI characters, such as kanji, you can specify a simple display name. The simple display name is used by systems that cannot interpret all of the characters in a normal display name.
  1. Right-click a user. On the shortcut menu, click Properties.
  2. On the Exchange Advanced tab in Simple display name, type a name to be used by systems that cannot interpret all the characters in the normal display name.

Outlook Web Access server name

Outlook Web Access (OWA) is an e-mail client that operates in a Web browser window. OWA uses Active Server Pages with Microsoft Internet Information Services to access a mailbox in Microsoft Exchange Server.

Hide from Exchange Address Book

If you have a MAPI client and want to display the mailbox in Advanced Features view only, click Hide from Exchange Address Book. To display the mailbox in the both the default and the Advanced Features view, click to clear the Hide from Exchange Address Book check box.

Downgrade high priority mail bound for X.400

You can set the mailbox to automatically downgrade e-mail that is set for high priority delivery and bound for an X.400-type e-mail address. The downgrade causes the outbound e-mail to conform to original 1984 X.400 conventions. Select the Downgrade high priority mail bound for X.400 check box to enable the downgrade. Click to clear the check box to disable the downgrade feature and follow more advanced e-mail conventions.

Internet Location Service

Internet Locator Service (ILS) gives Internet service providers and Web site managers the ability to increase communication between people visiting a Web site. ILS stores information about each person, including their IP address, making it easy for people who are online at your site to find each other.

  • Server. Type the ILS server to which the user is connected.
  • Account. Type the user's account name.

Protocol Settings

Click a link below to view the procedure for that protocol.
  • HTTP Protocol Details
  • IMAP4 Protocol Details
  • POP3 Protocol Details
  • NNTP Protocol Details

Custom Attributes

The Exchange Custom Attributes dialog box contains 15 unique custom attribute fields that you customize to track information about the recipients in your site. For example, suppose your company uses an employee identification numbering system. By default, the fields are called Custom Attributes 1 through 15. For details on how to set custom attributes, see Custom Attributes.

Note The Exchange Advanced tab is only displayed in Advanced Features view. On the View menu, click Advanced Features.


HTTP Protocol Details

If you want to make a mailbox accessible through a Web browser using Outlook Web Access, you must enable hypertext transfer protocol (HTTP) on that mailbox. Use the HTTP Protocol Details dialog box to enable or disable the HTTP protocol for this mailbox.
  1. On the Exchange Advanced tab, click Protocol Settings.
  2. Click HTTP, and then click Settings.
  3. To enable HTTP protocol for this mailbox, select the Enable for mailbox check box.
  4. To disable HTTP protocol, click to clear the Enable for mailbox check box.


IMAP4 Protocol Details

Each mailbox can be set to support any client protocol, such as Internet Message Access Protocol version 4 (IMAP4). Follow this procedure to set up IMAP4 client support for a mailbox:
  1. On the Exchange Advanced tab, click Protocol Settings.
  2. Click IMAP4, and then click Settings.
  3. To enable the protocol for this mailbox, select the Enable for mailbox check box. To disable the protocol for this mailbox, click to clear the Enable for mailbox check box.
  4. To use IMAP4 protocol defaults for Multipurpose Internet Mail Extensions (MIME) encoding, default character set, rich-text format, public folders, fast message retrieval, and user delegation, select the Use protocol defaults check box. When selected, all remaining options in the IMAP4 Protocol Details dialog box are unavailable. To use settings other than the default, click to clear the Use protocol defaults check box.

    You can change the following settings when the Use protocol defaults check box is disabled:

    • To display the body of received messages as plain text, click Provide message body as plain text. To display received messages as hypertext markup language (HTML), click Provide message body as HTML.
    • In Default character set, click a character set.
    • To display rich-text format, such as color, bold, italic, and other rich-text attributes, click Use Microsoft Exchange rich-text format.
    • To view all available public folders, click Include all public folders when a folder list is requested.
    • Some IMAP4 clients require Exchange to report exact message sizes. By default Exchange increases the speed of message retrieval by approximating message sizes. Clear the Enable fast message retrieval check box to disable fast message retrieval to support e-mail clients that require exact message size reporting.
    • To enable a delegate user to access another user's mailbox to view personal folders in the other user's mailbox, click Make user a delegate.
  5. Click OK to accept settings.


POP3 Protocol Details

Each mailbox can be set to support any client protocol, such as Post Office Protocol version 3 (POP3). Follow this procedure to set up POP3 client support for a mailbox:
  1. On the Exchange Advanced tab, click Protocol Settings.
  2. Click POP3 (Post Office Protocol), and then click Settings. The POP3 Protocol Details dialog box is displayed.
  3. To enable the protocol for this mailbox, select the Enable for mailbox check box. To disable the protocol for this mailbox, click to clear the Enable for mailbox check box.
  4. To use POP3 protocol defaults for Multipurpose Internet Mail Extensions (MIME) encoding, default character set, rich-text format, public folders, fast message retrieval, and user delegation, select the Use protocol defaults check box. When selected, all remaining options in the POP3 Protocol Details dialog box are unavailable. To use settings other than the default, click to clear the Use protocol defaults check box.

  5. MIME defines a rich set of content types consisting of mail headers and body parts. These types allow for more definition of the message content such as media type. UNIX-to-Unix Encode (UUENCODE) defines an e-mail standard that compresses messages containing 8-bit data into messages containing 7-bit data for transmission in older e-mail environments. Additional encoding provides support for Macintosh BinHex file format. Select either MIME or UUEncode for a Message encoding option.
    • MIME Settings
      • To display the body of received messages as plain text, click Provide message body as plain text.
      • To display received messages as hypertext markup language (HTML), click Provide message body as HTML.
    • UUEncode Settings
      • To translate incoming messages in the UUEncode format to plain text, click UUEncode.
      • To translate incoming messages to the Macintosh BinHex format, click Use BinHex.
    • In the Default character set list, click a character set.
    • To display rich-text format, such as color, bold, italic, and other rich-text attributes, click Use Microsoft Exchange rich-text format.
  6. Click OK to accept settings.


NNTP Protocol Details

Microsoft Exchange Server enables clients to participate in online discussions over an intranet or the Internet using Network News Transfer Protocol (NNTP) newsgroups. NNTP can be enabled on a per-mailbox basis.
  1. On the Exchange Advanced tab, click Protocol Settings. The Protocols dialog box is displayed.
  2. Click NNTP, and then click Settings.
  3. To enable the protocol for this mailbox, select the Enable for mailbox check box. To disable the protocol for this mailbox, click to clear the Enable for mailbox check box.
  4. To use NNTP protocol defaults for Multipurpose Internet Mail Extensions (MIME) encoding, default character set, rich-text format, public folders, fast message retrieval, and user delegation, select the Use protocol defaults check box. When selected, all remaining options in the NNTP Protocol Details dialog box are unavailable. To use settings other than the default, click to clear the Use protocol defaults check box.

  5. MIME defines a rich set of content types consisting of mail headers and body parts. These types allow for more definition of the message content such as media type. UNIX-to-Unix Encode (UUENCODE) defines an e-mail standard that compresses messages containing 8-bit data into messages containing 7-bit data for transmission in older e-mail environments. Additional encoding provides support for Macintosh BinHex file format. Select either MIME or UUEncode for a Message encoding option.
    • MIME Settings
      • To display the body of received messages as plain text, click Provide message body as plain text.
      • To display received messages as hypertext markup language (HTML), click Provide message body as HTML.
    • UUEncode Settings
      • To translate incoming messages in the UUEncode format to plain text, click UUEncode.
      • To translate incoming messages to the Macintosh BinHex format, click Use BinHex.
    • Click OK to accept settings.


Work with Contacts

A contact is a Windows Active Directory object capable of receiving e-mail. Follow these steps to configure a Windows contact:

  1. On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. Right-click a contact. On the shortcut menu click Properties.
  3. Specify Exchange properties for the contact. Exchange properties include message size options and message restrictions.

    For more information about the Exchange General tab, see Establish Exchange Properties for Contacts

    For more information about E-mail Addresses, see Establish E-mail Address Properties for Contacts

    For more information about the Exchange Advanced tab, see Establish Advanced Exchange Properties for Contacts

    Note The Exchange Advanced tab is only displayed in Advanced Features view. On the View menu, click Advanced Features.


Create a Mail-Enabled Contact

Follow these steps to create a mail-enabled Windows contact:

  1. Right-click Users, point to New, and then click Contact.
  2. Type the First name, Last name, Full name and Display name. Click Next.
  3. Verify that the Create an Exchange e-mail addess check box is selected and that the Alias is correct.
  4. Click Modify, double-click an e-mail address type, and then type what is needed to configure the e-mail address. Click Next.
  5. Click Finish.


Establish Exchange General Properties for Contacts

  1. Right-click a contact.
  2. On the shortcut menu, click Properties.
  3. On the Exchange General tab, you can:
    • Set Alias and E-mail Address
    • Set Message Size Limitations
    • Set Message Restrictions


Set Alias and E-mail Address

The Alias is provided by default based on the name you provided when creating the user, contact, or group. You must, however, set the E-mail address type.

  1. On the Exchange General tab, modify or verify the Alias.
  2. To set the E-mail address type, click Modify.
  3. Select the type of address. Depending on your selection, additional configuration information may be required.


Set Message Size Limitations

You can specify the maximum message size in kilobytes (KB), or you can set no limitation on message size.
  • To set no limitation:

    On the Exchange General tab, click No limit.

  • To set a maximum message size:

    On the Exchange General tab, click Maximum KB, and then type a value.


Set Message Restrictions

You can set message restrictions that allow the object to accept messages from everyone. Alternatively, you can restrict messages to be accepted only from a specific list of users, contacts, and groups. Or you can allow messages to be accepted from everyone except a specific list of users, contacts, and groups.
  • To accept messages from everyone:

    On the Exchange General tab, click From everyone.

  • To accept messages from a specific member or list of members:

    On the Exchange General tab, click Only from. To add members to the list, click Add. To remove a member from the list, select the member you want to remove, and then click Remove.

  • To restrict the object from accepting messages from a specific member or list of members:

    On the Exchange General tab, click From everyone except. To add members to the list, click Add. To remove a member from the list, select the member you want to remove, and then click Remove.


Establish E-mail Addresses for Contacts

  1. Right-click a contact.
  2. On the shortcut menu, click Properties.
  3. On the E-mail Addresses tab, you can:
    • Set a Default Reply Address
    • Add a New Address
    • Edit a Address
    • Remove a Address


Establish Advanced Exchange Properties for Contacts

On the Exchange Advanced tab you can configure a several advanced features for working with mailboxes and addresses.

Simple Display Name

If a name contains non-ANSI characters, such as kanji, you can specify a simple display name that will be used in the Address Book. The simple display name is used by systems that cannot interpret all of the characters in a normal display name.
    w
  1. Right-click a contact. On the shortcut menu, click Properties.
  2. On the Exchange Advanced tab, in Simple display name, type a name to be used by systems that cannot interpret all the characters in the normal display name.

Hide from Exchange Address Book

If you have a MAPI client and want to display the mailbox only in Advanced Features view, select Hide from Exchange Address Book. To display the mailbox in the default view, click to clear the Hide from Exchange Address Book check box.

Use MAPI Rich-text Format

Rich text in messages allows the use of character attributes such as bold, color, and italic. Rich text also provides the ability to position attachments. The client must support rich text format to see rich-text attributes and attachments in messages. To use rich text format, select the Use MAPI Rich-text Format check box. To disable the option, click to clear the Use MAPI Rich-text Format check box.

Internet Location Service

Internet Locator Service (ILS) gives Internet service providers and Website managers the ability to increase communication between people visiting a Website. ILS stores information about each person, including their IP address, making it easy for people who are online at your site to find each other.

  • Server. Type the ILS server to which the user is connected.
  • Account. Type the user's account name.

Protocol Settings

Click a link below to view the procedure for that protocol.
  • HTTP Protocol Details
  • IMAP4 Protocol Details
  • POP3 Protocol Details
  • NNTP Protocol Details

Custom Attributes

The Exchange Custom Attributes dialog box contains 15 unique custom attribute fields that you customize to track information about the recipients in your site. For example, suppose your company uses an employee identification numbering system. By default, the fields are called Custom Attributes 1 through 15. For details on how to set custom attributes, see Custom Attributes.

Note The Exchange Advanced tab is only displayed in Advanced Features view. On the View menu, click Advanced Features.


Work with Groups

A group consists of users with specific properties in common. When using the Active Directory Connector to replicate the Microsoft Exchange Server directory and the Windows 2000 Active Directory, Exchange distribution lists become groups in the Windows Active Directory. Follow these steps to configure a Windows group:

  1. On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. Right-click a group, and then on the shortcut menu, click Properties.
  3. Specify the Exchange properties for the group.

    For information about the Exchange General tab, see Establish Exchange Properties for Groups.

    For information about the E-mail Addresses tab, see Establish E-mail Address Properties for Groups.

    For information about the Exchange Advanced tab, see Establish Advanced Exchange Properties for Groups.

Note The Exchange Advanced tab can only be viewed in Advanced Features view. On the View menu, click Advanced Features.


Create a Mail-Enabled Group

Follow these steps to create a mail-enabled Windows Group:

  1. On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. Right-click Users, point to New, and then click Group.
  3. Type the Name of new group.

    Note The Downlevel name of new group is recorded automatically.

  4. Specify your Group scope and Group type. Click Next.
  5. Verify that Create an Exchange e-mail address is selected and that the the Alias is correct. Click Next.
  6. Click Finish.


Establish Exchange General Properties for Groups

  1. Rght-click a group.
  2. On the shortcut menu, click Properties.
  3. On the Exchange General tab, you can:
    • Set Alias and E-mail Address
    • Set Message Size Limitations
    • Set Message Restrictions


Establish E-mail Addresses for Groups

  1. Right-click a group.
  2. On the shortcut menu, click Properties.
  3. On the E-mail Addresses tab, you can:
    • Set a Default Reply Address
    • Add a New Address
    • Edit an Address
    • Remove an Address


Establish Advanced Exchange Properties for Groups

On the Exchange Advanced tab you can configure a several advanced features for working with mailboxes and addresses.

Simple Display Name

If a name contains non-ANSI characters, such as kanji, you can specify a simple display name that will be used in the Address Book. The simple display name is used by systems that cannot interpret all of the characters in a normal display name.
  1. Right-click a user. On the shortcut menu, click Properties.
  2. On the Exchange Advanced tab, in Simple display name, type a name to be used by systems that cannot interpret all the characters in the normal display name.

Custom Attributes

The Exchange Custom Attributes dialog box contains 15 unique custom attribute fields that you customize to track information about the recipients in your site. For example, suppose your company uses an employee identification numbering system. By default, the fields are called Custom Attributes 1 through 15. For details on how to set custom attributes, see Custom Attributes.

Expansion server

The expansion server expands Windows groups into lists of group members. Groups become distribution lists when replicated to the Exchange directory.

Privacy protection

  • To hide the group from the Exchange Address Book, select the Hide from Exchange Address Book check box. To display the group name in the Exchange Address Book, click to clear the Hide from Exchange Address Book check box.
  • To hide the group membership from the Exchange Address Book, select the Hide membership from Exchange Address Book check box. To display the group membership in the Exchange Address Book, click to clear the Hide membership from Exchange Address Book check box.
  • You can configure delivery reports to be sent to the owner of an Exchange distribution list or the owner of a Windows group. To enable this option, select the Send delivery reports to group owner check box. To disable this option, click to clear the Send delivery reports to group owner check box.
  • You can configure delivery reports to be sent to message originators. To enable this option, select the Send delivery reports to message originator check box. To disable this option, click to clear the Send delivery reports to message originator check box.
  • You can configure an out-of-office message to be sent to the originator of received messages. To enable this option, select the Send out-of-office messages to originator check box. To disable this option, click to clear the Send out-of-office messages to originator check box.

Note The Exchange Advanced tab is only displayed in Advanced Features view. On the View menu, click Advanced Features.


Concepts

This section describes the concepts of the Microsoft Exchange Server extensions to Active Directory Users and Computers. Topics include the following:
  • Overview
  • About Active Directory Objects and Recipients
  • About Mailboxes


Overview

Microsoft Windows 2000 Server uses Active Directory to manage multiple name spaces for Active Directory objects. Active Directory uses Lightweight Directory Access Protocol (LDAP), to provide full read, write, and search capabilities.

When using Microsoft Exchange Server version 5.5 with Windows 2000 Server, some Active Directory objects have e-mail attributes provided by Exchange.

The following table lists the Active Directory objects and their corresponding Exchange directory recipient:

Active Directory Object | Corresponding Exchange Recipient
Users | Mailboxes
Contacts, Users | Custom Recipients
Groups | Distribution Lists
You can configure attributes for each mail-enabled Active Directory object using the Exchange General, E-mail Addresses, and Exchange Advanced tabs in Active Directory Users and Computers. See How to... for information on how to perform administrative tasks for mail-enabled Active Directory objects.


About Active Directory Objects and Recipients

In the Active Directory, Exchange recipients are stored as one of the following native Windows objects in the Domain container:

  • Mailbox. In the Active Directory, a Mailbox is a mailbox-enabled user of Windows 2000 Server. When a user is mailbox-enabled, there is an e-mail address indicating the Exchange server to which the user's e-mail should be routed. The user must then use e-mail client software to connect to the Exchange server and receive e-mail.

    Existing Exchange mailboxes are replicated into the Active Directory as users or contacts.

  • Distribution Lists. Windows groups are represented as distribution lists in the Exchange directory. E-mail received for the distribution list is routed to the e-mail address of each group member. Mailbox-enabled users can also send e-mail to the distribution list.
  • Custom Recipients. Mail-enabled users or contacts are represented as custom recipients in the Exchange directory. When a contact is mail-enabled, that object has an e-mail address used by Exchange to properly route the e-mail.

Note:

Before enabling e-mail attributes for any Active Directory objects, you must first create a Connection Agreement in the appropriate organizational unit. Then replicate the selected object(s) into the Exchange directory. All organizational units that are under an organizational unit with a Connection Agreement will also be replicated. If you are joining an existing Exchange server that already contains recipients, you must replicate those recipients to the new Active Directory using a Connection Agreement in ADC.


About Mailboxes

Mailbox-enabled users use mailboxes for sending and receiving e-mail messages. Mailboxes provide locations for mailbox-enabled objects to store e-mail messages. Use Active Directory Connector to replicate existing Exchange mailboxes to Windows contacts or users.

Mail-Enabled and Mailbox-Enabled Objects

Windows Active Directory objects can be mail-enabled or mailbox-enabled.

Mail-enabled

A mail-enabled object has an e-mail address associated with it but no mailbox, and thus it can receive messages but not send them in Exchange.

Use Active Directory Users and Computers to enable e-mail capabilities for a user, group, or contact.

Mailbox-enabled

A mailbox-enabled object is an object that has an Exchange mailbox associated with it, and thus it can both send and receive e-mail messages.

Only Windows user accounts can be mailbox-enabled.

Use Active Directory Users and Computers to enable a mailbox for a Windows user account.


Legal Information

Microsoft Documentation

Information in this document is subject to change without notice. The example companies, organizations, products, people, and events depicted herein are fictitious. No association with any real company, organization, product, person, or event is intended or should be inferred. Complying with all applicable copyright laws is the responsibility of the user. Without limiting the rights under copyright, no part of this document may be reproduced, stored in or introduced into a retrieval system, or transmitted in any form or by any means (electronic, mechanical, photocopying, recording, or otherwise), or for any purpose, without the express written permission of Microsoft Corporation. If, however, your only means of access is electronic, permission to print one copy is hereby granted.

Microsoft may have patents, patent applications, trademarks, copyrights, or other intellectual property rights covering subject matter in this document. Except as expressly provided in any written license agreement from Microsoft, the furnishing of this document does not give you any license to these patents, trademarks, copyrights, or other intellectual property.

Copyright © 1999 Microsoft Corporation. All rights reserved.

Microsoft, MS-DOS, MS, Windows, Windows NT, ActiveX, JScript, Microsoft Press, Visual Basic, Visual C++, Visual J++, Win32, and Win32s are either registered trademarks or trademarks of Microsoft Corporation in the U.S.A and/or other countries.

Java is a trademark of Sun Microsystems, Inc.

Alpha AXP is a trademark of Digital Equipment Corporation.

Pentium is a registered trademark of Intel Corporation.

Macintosh and QuickTime are registered trademarks of Apple Computer, Inc.

The names of actual companies and products mentioned herein may be the trademarks of their respective owners.


Custom Attributes

You can assign custom attributes to the selected object. Fifteen unused attributes are provided for you to customize.
  1. On the Exchange Advanced tab, click Custom Attributes.
  2. Click an attribute, and then click Edit.
  3. Type a value for the custom attribute, and then click OK.